Create a milestone

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/milestones

Create a milestone. Send the fields of the new row in JSON. You must be an administrator, or a manager in the team of the project.

application/json

Body Required

  • name string Required
  • project_id string(uuid) Required
  • date string(date) Required
  • color string

    Format should match the following pattern: ^#[0-9a-fA-F]{6}$.

  • milestone_type string

    Values are kickoff, review, approval, delivery, or other. Default value is other.

  • department_id string(uuid) | null

Responses

  • 201 application/json

    The new milestone

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • date string(date)
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator or a manager in the team of the project

POST /data/milestones
curl -X POST "http://api.example.com/data/milestones/" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Milestone Name",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "date": "2024-03-31"
}'
import requests

url = "http://api.example.com/data/milestones/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Milestone Name",
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "date": "2024-03-31"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "Milestone Name",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "date": "2024-03-31",
  "color": "#ff0000",
  "milestone_type": "other",
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Milestone Name",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "date": "2024-03-31",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}